WinRas.RASCONNSTATUS (JNA API)

com.sun.jna.platform.win32

## Class WinRas.RASCONNSTATUS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinRas.RASCONNSTATUS

- Enclosing interface:
    WinRas

      public static class WinRas.RASCONNSTATUS
      extends Structure

  The RASCONNSTATUS structure describes the current status of a remote access connection. It is returned by the RasGetConnectStatus function.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dwError` If nonzero, indicates the reason for failure.
    `int` | `dwSize` Specifies the structure size, in bytes.
    `WinRas.RASTUNNELENDPOINT` | `localEndPoint` A RASTUNNELENDPOINT structure that contains the local client endpoint information of a virtual private network (VPN) endpoint.
    `int` | `rasconnstate` Specifies a RASCONNSTATE enumerator value that indicates the current state of the RasDial connection process; that is, the piece of the RasDial process that is currently executing.
    `int` | `rasconnsubstate` A RASCONNSUBSTATE enumeration that specifies state information of an Internet Key Exchange version 2 (IKEv2) VPN tunnel.
    `WinRas.RASTUNNELENDPOINT` | `remoteEndPoint` A RASTUNNELENDPOINT structure that contains the remote server endpoint information of a virtual private network (VPN) endpoint.
    `char[]` | `szDeviceName` A string that specifies the name of the current device, if available.
    `char[]` | `szDeviceType` A string that specifies the type of the current device, if available.
    `char[]` | `szPhoneNumber` A string that indicates the phone number dialed for this specific connection.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RASCONNSTATUS()`
    `RASCONNSTATUS(Pointer memory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwSize

          public int dwSize

      Specifies the structure size, in bytes.

    - #### rasconnstate

          public int rasconnstate

      Specifies a RASCONNSTATE enumerator value that indicates the current state of the RasDial connection process; that is, the piece of the RasDial process that is currently executing.

    - #### dwError

          public int dwError

      If nonzero, indicates the reason for failure. The value is one of the error values from the RasError.h header file or one of ERROR_NOT_ENOUGH_MEMORY or ERROR_INVALID_HANDLE.

    - #### szDeviceType

          public char[] szDeviceType

      A string that specifies the type of the current device, if available. For example, common device types supported by RAS are "modem", "pad", "switch", "ISDN", or "null". See RASENTRY for a complete list of possible device types.

    - #### szDeviceName

          public char[] szDeviceName

      A string that specifies the name of the current device, if available. This would be the name of the modem - for example, "Hayes SmartModem 2400"; the name of the PAD, for example "US Sprint"; or the name of a switch device, for example "Racal-Guardata".

    - #### szPhoneNumber

          public char[] szPhoneNumber

      A string that indicates the phone number dialed for this specific connection.

    - #### localEndPoint

          public WinRas.RASTUNNELENDPOINT localEndPoint

      A RASTUNNELENDPOINT structure that contains the local client endpoint information of a virtual private network (VPN) endpoint.

    - #### remoteEndPoint

          public WinRas.RASTUNNELENDPOINT remoteEndPoint

      A RASTUNNELENDPOINT structure that contains the remote server endpoint information of a virtual private network (VPN) endpoint.

    - #### rasconnsubstate

          public int rasconnsubstate

      A RASCONNSUBSTATE enumeration that specifies state information of an Internet Key Exchange version 2 (IKEv2) VPN tunnel.

  - ### Constructor Detail

    - #### RASCONNSTATUS

          public RASCONNSTATUS()

    - #### RASCONNSTATUS

          public RASCONNSTATUS(Pointer memory)

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.